OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
	/* Program memory section. */

	. = 0x81c00000;
	.text2 : { *(.text*) }

	. = ALIGN(4);
	.rodata : { *(.rodata*) }

	. = ALIGN(4);
	.sdata : { *(.sdata*) }

	. = ALIGN(4);
	.data : { *(.data*) *(.scommon*) *(.reginfo*) }

	_gp = ALIGN(16);

	_got_start = ABSOLUTE(.);	
	.got : { *(.got*) }
	_got_end = ABSOLUTE(.);	

	. = ALIGN(4);
	.sbss : { *(.sbss*) }
	.bss : { *(.bss*) }
	. = ALIGN (4);
}

